## lmdbxx 0.9.14.1%2Bgit20160228.0b43ca8

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- doxygen

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## lmdbxx 0.9.14.1+git20160229.0b43ca8

=== Makefile ===
# Makefile for lmdb++ <http://lmdbxx.sourceforge.net/>

PACKAGE_NAME      := lmdb++
PACKAGE_TARNAME   := lmdbxx
PACKAGE_VERSION    = $(shell cat VERSION)
PACKAGE_STRING     = $(PACKAGE_NAME) $(PACKAGE_TARNAME)
PACKAGE_TARSTRING  = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
PACKAGE_BUGREPORT := arto@bendiken.net
PACKAGE_URL       := http://lmdbxx.sourceforge.net/

DESTDIR  :=
PREFIX   := /usr/local

CPPFLAGS := -I.
CXXFLAGS := -g -O0 -std=c++11 -Wall -Werror
LDFLAGS  :=
LDADD    := -llmdb

includedir = $(PREFIX)/include

MKDIR         := mkdir -p
RM            := rm -f
INSTALL       := install -c
INSTALL_DATA   = $(INSTALL) -m 644
INSTALL_HEADER = $(INSTALL_DATA)

DISTFILES := AUTHORS CREDITS INSTALL README TODO UNLICENSE VERSION \
             Makefile check.cc example.cc lmdb++.h

default: help

help:
	@echo 'Install the <lmdb++.h> header file using `make install`.'

check: check.o
	$(CXX) $(LDFLAGS) -o $@ $^ $(LDADD) && ./$@

example: example.o
	$(CXX) $(LDFLAGS) -o $@ $^ $(LDADD) && ./$@

%.o: %.cc lmdb++.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

installdirs:
	$(MKDIR) $(DESTDIR)$(includedir)

install: lmdb++.h installdirs
	$(INSTALL_HEADER) $< $(DESTDIR)$(includedir)

uninstall:
	$(RM) $(DESTDIR)$(includedir)/lmdb++.h

clean:
	$(RM) README.html README.md check example $(PACKAGE_TARSTRING).tar.* *.o *~

README: README.html README.md

README.html: README.rst
	pandoc -s -f rst -t html5 -S -o $@ $<

README.md: README.rst
	pandoc -s -f rst -t markdown_github -o - $< | tail -n +5 > $@

doxygen: README.md
	doxygen Doxyfile
	sed -e 's/Main Page/a C++11 wrapper for LMDB/'                    \
	    -e 's/lmdb++ Documentation/lmdb++: a C++11 wrapper for LMDB/' \
	    -i.orig .doxygen/html/index.html

maintainer-clean: clean

maintainer-doxygen: doxygen
	rsync -az .doxygen/html/ bendiken@web.sourceforge.net:/home/project-web/lmdbxx/htdocs/

dist:
	tar -chJf $(PACKAGE_TARSTRING).tar.xz \
	    --transform 's,^,$(PACKAGE_TARSTRING)/,' $(DISTFILES)
	tar -chjf $(PACKAGE_TARSTRING).tar.bz2 \
	    --transform 's,^,$(PACKAGE_TARSTRING)/,' $(DISTFILES)
	tar -chzf $(PACKAGE_TARSTRING).tar.gz \
	    --transform 's,^,$(PACKAGE_TARSTRING)/,' $(DISTFILES)

.PHONY: help check example installdirs install uninstall clean doxygen maintainer-doxygen dist

## lmdbxx 0.9.14.1+git20160228.0b43ca8

=== debian/changelog ===
lmdbxx (0.9.14.1+git20160228.0b43ca8-1) unstable; urgency=medium

  * Initial release (Closes: #872401)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 10 Sep 2017 13:00:10 -0400

=== debian/control ===
Source: lmdbxx
Section: libdevel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>=9), doxygen, liblmdb-dev, pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/bendiken/lmdbxx
Vcs-Git: git://anonscm.debian.org/collab-maint/lmdbxx.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lmdbxx.git

Package: liblmdb++-dev
Architecture: any
Depends: liblmdb-dev, ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for LMDB
 This is a comprehensive C++ wrapper for the LMDB embedded database library,
 offering both an error-checked procedural interface and an object-oriented
 resource interface with RAII semantics.

## lmdbxx 0.9.14.1+git20160229.0b43ca8

=== debian/changelog ===
lmdbxx (0.9.14.1+git20160229.0b43ca8-1) unstable; urgency=medium

  * Team upload.
  * Move packaging from Alioth collab-maint to Salsa debian/
  * Project was moved on Github
  * Add watch file (this version is identical to the previous one -
    just the date has changed and watch file returns one day later)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add debian/upstream/metadata
  * Fix clean target
    Closes: #1047094

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jun 2025 06:23:53 +0200

=== debian/control ===
Source: lmdbxx
Section: libdevel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper-compat (= 13), doxygen, liblmdb-dev, pandoc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/lmdbxx
Vcs-Git: https://salsa.debian.org/debian/lmdbxx.git
Homepage: https://github.com/drycpp/lmdbxx

Package: liblmdb++-dev
Architecture: any
Depends: liblmdb-dev, ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for LMDB
 This is a comprehensive C++ wrapper for the LMDB embedded database library,
 offering both an error-checked procedural interface and an object-oriented
 resource interface with RAII semantics.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,11 @@
 
 
 %:
-	dh $@ 
+	dh $@
+
+override_dh_clean:
+	dh_clean
+	rm -rf .doxygen
 
 override_dh_auto_build:
 	dh_auto_build -- doxygen

=== debian/watch ===
version=4

opts="mode=git,pretty=0.9.14.1+git%cd.%h" \
    https://github.com/drycpp/lmdbxx.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#  https://github.com/drycpp/lmdbxx/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
